%define upstream_name    RT-Client-REST
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Talk to RT using REST protocol
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(Encode)
BuildRequires: perl(Error)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple) >= 0.440.0
BuildRequires: perl(LWP)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
*RT::Client::REST* is */usr/bin/rt* converted to a Perl module. I needed to
implement some RT interactions from my application, but did not feel that
invoking a shell command is appropriate. Thus, I took *rt* tool, written by
Abhijit Menon-Sen, and converted it to an object-oriented Perl module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
rm -f t/80-timeout.t
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/RT/

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-2.mga6
+ Revision: 1032989
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.500.0-1.mga6
+ Revision: 1002288
- update to 0.50

* Sat Feb 20 2016 umeabot <umeabot> 0.490.0-5.mga6
+ Revision: 971516
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.490.0-4.mga6
+ Revision: 891836
- BR perl(CGI) + perl(Test::Pod)

* Wed Oct 15 2014 umeabot <umeabot> 0.490.0-3.mga5
+ Revision: 744085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.490.0-2.mga5
+ Revision: 686082
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.490.0-1.mga5
+ Revision: 623938
- update to 0.49

* Tue May 06 2014 jquelin <jquelin> 0.480.0-1.mga5
+ Revision: 620734
- update to 0.48

* Sat Feb 08 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 585912
- update to 0.45

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 522810
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 0.430.0-2.mga3
+ Revision: 405817
- don't run timeout test

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.430.0-1.mga2
+ Revision: 201017
- update to 0.43

* Sat Jan 22 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 32371
- mageia rebuild
- imported package perl-RT-Client-REST


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 552625
- update to 0.41

* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 541122
- import perl-RT-Client-REST


* Fri Apr 30 2010 cpan2dist 0.4-1mdv
- initial mdv release, generated with cpan2dist
